---
id: statusdto
title: "StatusDto"
description: ""
sidebar_label: "StatusDto"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"database":{"status":"connected"},"memoryUsage":{"does_zap_garbage":1024,"external_memory":2048,"heap_size_limit":4096,"malloced_memory":512,"number_of_detached_contexts":0,"number_of_native_contexts":2,"peak_malloced_memory":1024,"total_available_size":8192,"total_global_handles_size":256,"total_heap_size":16384,"total_heap_size_executable":4096,"total_physical_size":32768,"used_global_handles_size":128,"used_heap_size":8192},"uptime":3600,"negotiations":{"localId":"3fa85f64-5717-4562-b3fc-2c963f66afa6","remoteId":"3fa85f64-5717-4562-b3fc-2c963f66afa7","remoteParty":"Remote Party Name","role":"provider","remoteAddress":"192.168.1.100","state":"dspace:REQUESTED","dataSet":"defaultDataSet","modifiedDate":"2023-10-11T00:00:00.000Z"},"transfers":{"localId":"local-12345","remoteId":"remote-98765","role":"provider","remoteAddress":"http://example.com/","remoteParty":"party-identifier-001","state":"dspace:REQUESTED","process":{"step":"upload","progress":50},"agreementId":"agreement-45678","format":"application/json","modifiedDate":"2023-10-01T12:34:56Z"}}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"StatusDto"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"database":{"example":{"status":"connected"},"allOf":[{"type":"object","properties":{"status":{"type":"string","example":"connected"}},"required":["status"],"title":"DatabaseStatusDto"}]},"memoryUsage":{"example":{"does_zap_garbage":1024,"external_memory":2048,"heap_size_limit":4096,"malloced_memory":512,"number_of_detached_contexts":0,"number_of_native_contexts":2,"peak_malloced_memory":1024,"total_available_size":8192,"total_global_handles_size":256,"total_heap_size":16384,"total_heap_size_executable":4096,"total_physical_size":32768,"used_global_handles_size":128,"used_heap_size":8192},"allOf":[{"type":"object","properties":{"does_zap_garbage":{"type":"number","example":1024},"external_memory":{"type":"number","example":2048},"heap_size_limit":{"type":"number","example":4096},"malloced_memory":{"type":"number","example":512},"number_of_detached_contexts":{"type":"number","example":0},"number_of_native_contexts":{"type":"number","example":2},"peak_malloced_memory":{"type":"number","example":1024},"total_available_size":{"type":"number","example":8192},"total_global_handles_size":{"type":"number","example":256},"total_heap_size":{"type":"number","example":16384},"total_heap_size_executable":{"type":"number","example":4096},"total_physical_size":{"type":"number","example":32768},"used_global_handles_size":{"type":"number","example":128},"used_heap_size":{"type":"number","example":8192}},"required":["does_zap_garbage","external_memory","heap_size_limit","malloced_memory","number_of_detached_contexts","number_of_native_contexts","peak_malloced_memory","total_available_size","total_global_handles_size","total_heap_size","total_heap_size_executable","total_physical_size","used_global_handles_size","used_heap_size"],"title":"MemoryUsageDto"}]},"uptime":{"type":"number","example":3600},"negotiations":{"type":"object","properties":{"localId":{"type":"string","example":"3fa85f64-5717-4562-b3fc-2c963f66afa6"},"remoteId":{"type":"string","example":"3fa85f64-5717-4562-b3fc-2c963f66afa7"},"remoteParty":{"type":"string","example":"Remote Party Name"},"role":{"type":"string","enum":["provider","consumer"],"example":"provider"},"remoteAddress":{"type":"string","example":"192.168.1.100"},"state":{"type":"string","enum":["dspace:REQUESTED","dspace:OFFERED","dspace:ACCEPTED","dspace:AGREED","dspace:VERIFIED","dspace:FINALIZED","dspace:TERMINATED"],"example":"dspace:REQUESTED"},"dataSet":{"type":"string","example":"defaultDataSet"},"modifiedDate":{"format":"date-time","type":"string","example":"2023-10-11T00:00:00.000Z"}},"required":["localId","remoteId","remoteParty","role","remoteAddress","state","dataSet","modifiedDate"],"title":"NegotiationStatusDto"},"transfers":{"type":"object","properties":{"localId":{"type":"string","example":"local-12345"},"remoteId":{"type":"string","example":"remote-98765"},"role":{"type":"string","example":"provider"},"remoteAddress":{"type":"string","example":"http://example.com/"},"remoteParty":{"type":"string","example":"party-identifier-001"},"state":{"type":"string","enum":["dspace:REQUESTED","dspace:STARTED","dspace:TERMINATED","dspace:COMPLETED","dspace:SUSPENDED"],"example":"dspace:REQUESTED"},"process":{"example":{"step":"upload","progress":50},"allOf":[{"type":"object","properties":{"@type":{"type":"string","example":"dspace:TransferProcess"},"dspace:providerPid":{"type":"string","example":"provider-pid-789"},"dspace:consumerPid":{"type":"string","example":"consumer-pid-123"},"dspace:agreementId":{"type":"string","example":"agreement-id-456"},"dspace:state":{"type":"string","example":"COMPLETED"}},"required":["@type","dspace:providerPid","dspace:consumerPid","dspace:agreementId","dspace:state"],"title":"TransferProcessSchema"}]},"agreementId":{"type":"string","example":"agreement-45678"},"format":{"type":"string","example":"application/json"},"modifiedDate":{"format":"date-time","type":"string","example":"2023-10-01T12:34:56Z"}},"required":["localId","role","remoteAddress","remoteParty","state","process","agreementId","modifiedDate"],"title":"TransferStatusDto"}},"required":["database","memoryUsage","uptime","negotiations","transfers"],"title":"StatusDto"}}
  schemaType={"response"}
>
  
</Schema>
            